<script setup>
import data from '@/json/home/whyUs.json'
</script>

<template>
    <div class="WhyUs">
        <v-container class="py-0">
            <v-row>
                <v-col cols="lg-6" sm="12" order-lg="1" order="2">
                    <!--                    <video class="WhyUs-video" controls>-->
                    <!--                        <source src="https://www.aparat.com/v/VvueM?data[rnddiv]=37629330853&data[responsive]=yes"-->
                    <!--                                type="video/mp4">-->
                    <!--                        <source src="https://www.aparat.com/v/VvueM?data[rnddiv]=37629330853&data[responsive]=yes"-->
                    <!--                                type="video/ogg">-->
                    <!--                        Your browser does not support the video tag.-->
                    <!--                    </video>-->
                    <div class="WhyUs-video h_iframe-aparat_embed_frame">
                        <span style="display: block;padding-top: 57%"></span>
                        <iframe src="https://www.aparat.com/video/video/embed/videohash/pHTku/vt/frame"
                                allowFullScreen="true" webkitallowfullscreen="true" mozallowfullscreen="true"></iframe>
                    </div>
                </v-col>
                <v-col cols="lg-6" sm="12" order-lg="2" order="1">
                    <div class="why-us-text">
                        <img src="/img/why-pacific.png" alt="" width="154" height="15">
                        <h1>{{ data.firstTitle }}</h1>
                        <p>{{ data.text }}</p>
                    </div>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>


<style scoped lang="scss">
.h_iframe-aparat_embed_frame {
    position: relative;
}

.h_iframe-aparat_embed_frame .ratio {
    display: block;
    width: 100%;
    height: auto;
}

.h_iframe-aparat_embed_frame iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.WhyUs {
    text-align: right;
    position: relative;
    padding: 0 0 46px 0;

    .why-us-text {
        position: relative;
        background: #000c37;
        border-radius: 24px;
        overflow: hidden;
        color: #fff;
        padding: 60px 50px 60px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        flex-wrap: wrap;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;

        img {
            position: absolute;
            top: 0;
            left: 0;
            pointer-events: none;
            width: 100%;
            height: 100%;
        }
    }

    .v-container {
        position: relative;
    }


    h1 {
        margin-bottom: 22px;
        font-weight: 700;
        font-size: 36px;
        line-height: 56px;
        width: 100%;
    }


    p {
        font-weight: 700;
        font-size: 15px;
        line-height: 33px;
    }

    .WhyUs-video {
        height: 495px;
        width: 100%;
        border-radius: 30px;
        overflow: hidden;
        margin-top: 15px;
    }

    @media only screen and (max-width: 768px) {
        .WhyUs-video {
            height: 370px;
        }

        .why-us-text {
            padding: 40px 16px 40px;
        }

        h1 {
            margin-bottom: 12px;
            font-size: 24px;
            line-height: 37px;
        }


        p {
            font-size: 12px;
        }
    }

    @media only screen and (max-width: 360px) {
        .WhyUs-video {
            height: 230px;
        }

        h1 {
            margin-bottom: 8px;
            font-size: 16px;
            line-height: 25px;
        }

        p {
            font-size: 12px;
        }
    }
}
</style>